FullWrtGraphInternal::SideBar Struct Referencefinal

Internal: the sidebar of a FullWrtGraph. More...

Inheritance diagram for FullWrtGraphInternal::SideBar:

## Public Member Functions

| SideBar (FullWrtStruct::ZoneHeader const &header)
| constructor
| ~SideBar () final
| destructor
Public Member Functions inherited from FullWrtStruct::ZoneHeader
| ZoneHeader ()
| constructor
| ZoneHeader (ZoneHeader const &)=default
virtual | ~ZoneHeader ()
| destructor
bool | read (std::shared_ptr< FullWrtStruct::Entry > zone)
| try to read the data header of a classical zone

## Public Attributes

MWAWBox2f | m_box
| the position (in point)
int | m_page
| the page
int | m_borderId
| the border id
bool | m_parsed
| a flag to know if the sidebar is send to the listener
Public Attributes inherited from FullWrtStruct::ZoneHeader
int | m_type
| the zone type
int | m_docId
| the doc id
int | m_fileId
| the file id
int | m_wrapping
| the wrapping type
std::string | m_extra
| some extra data

## Detailed Description

Internal: the sidebar of a FullWrtGraph.

## Constructor & Destructor Documentation

## SideBar()

FullWrtGraphInternal::SideBar::SideBar | ( | FullWrtStruct::ZoneHeader const & | header | ) |

inline explicit

constructor

Referenced by ~SideBar().

## ~SideBar()

FullWrtGraphInternal::SideBar::~SideBar | ( |  | ) |

final

destructor

## Member Data Documentation

## m_borderId

int FullWrtGraphInternal::SideBar::m_borderId

the border id

Referenced by FullWrtGraph::readSideBarFormat(), FullWrtGraph::sendSideBar(), and SideBar().

## m_box

MWAWBox2f FullWrtGraphInternal::SideBar::m_box

the position (in point)

Referenced by FullWrtGraph::readSideBarPosition(), FullWrtGraph::sendSideBar(), and SideBar().

## m_page

int FullWrtGraphInternal::SideBar::m_page

the page

Referenced by FullWrtGraph::readSideBarPosition(), FullWrtGraph::sendSideBar(), and SideBar().

## m_parsed

bool FullWrtGraphInternal::SideBar::m_parsed

mutable

a flag to know if the sidebar is send to the listener

Referenced by FullWrtGraph::sendSideBar(), and SideBar().

The documentation for this struct was generated from the following file:

- FullWrtGraph.cxx